: Interface ViewedMessage

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## grendel.view
Interface ViewedMessage

public abstract interface ViewedMessage

This is a message in a MessageSetView. It represents a message, and also knows where it is in relationship with other messages in the same view.

Method Summary
`void` | `dump()` Debugging hack.
`ViewedMessage` | `getChild()` Returns the first child of this message.
`javax.mail.Message` | `getMessage()` Gets the message itself.
`ViewedMessage` | `getNext()` Returns the next message.
`ViewedMessage` | `getParent()` Returns the parent of this message.
`MessageSetView` | `getView()` Gets the view that this message is a part of.
`boolean` | `isDummy()` This should return true of dummy messages, false otherwise.

Method Detail

### getView

    public MessageSetView getView()

  Gets the view that this message is a part of.

### getMessage

    public javax.mail.Message getMessage()

  Gets the message itself. You need to go through this to find out stuff about the message (like its subject, author, etc.).

### getParent

    public ViewedMessage getParent()

  Returns the parent of this message. (This is always null unless threading is turned on in the view.)

### getChild

    public ViewedMessage getChild()

  Returns the first child of this message. (This is always null unless threading is turned on in the view.)

### getNext

    public ViewedMessage getNext()

  Returns the next message. This is the next message that has the same parent as this message.

### isDummy

    public boolean isDummy()

  This should return true of dummy messages, false otherwise. It is legal to pass dummy messages in with the list returned by elements(); the isDummy() method is the mechanism by which they are noted and ignored.

### dump

    public void dump()

  Debugging hack. Dumps this message (and messages in its tree) out to System.out.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD